tk8.5 (8.5.19-1+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- Denis Kozadaev <denis@tambov.ru>  Sat, 30 Dec 2017 20:09:10 +0300

tk8.5 (8.5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2016 16:04:55 +0300

tk8.5 (8.5.18-3) unstable; urgency=medium

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811119).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 13:08:59 +0300

tk8.5 (8.5.18-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2015 14:20:52 +0300

tk8.5 (8.5.18-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of the jessie freeze.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 10:17:31 +0300

tk8.5 (8.5.17-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Oct 2014 23:28:23 +0400

tk8.5 (8.5.16-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Aug 2014 19:23:03 +0400

tk8.5 (8.5.15-4) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 08:52:10 +0400

tk8.5 (8.5.15-3) experimental; urgency=low

  * Fixed version in replacing tk8.5 by tk8.5-doc due to moving demos
    (closes: #722940).
  * Restored tk8.5 prerm script which removes alternative for /usr/bin/wish
    (closes: #720143).
  * Export ac_cv_func_strtod=yes and tcl_cv_strtod_buggy=1 to help with
    cross-build (closes: #695444).
  * Added ${misc:Depends} substvar for libtk8.5-dbg package.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 12:14:21 +0400

tk8.5 (8.5.15-2) experimental; urgency=low

  * Added the libtk8.5-dbg package with libtk8.5 debug symbols in it.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Oct 2013 21:56:07 +0400

tk8.5 (8.5.15-1) experimental; urgency=low

  * New upstream release.
  * Renamed the development package back to tk8.5-dev after a discussion on
    debian-devel mailing list.
  * Make tk8.5-doc replace tk8.5 because of moving the
    /usr/share/tcltk/tk8.5/demos link (closes: #722940).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:42:34 +0400

tk8.5 (8.5.14-5) experimental; urgency=low

  * Removed unnecessary patch to tkPort.h.
  * Make libtk8.5-dev depend on tk8.5 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:24:55 +0400

tk8.5 (8.5.14-4) experimental; urgency=low

  * Renamed tcl8.5-lib and tcl8.5-dev packages to libtcl8.5 and libtcl8.5-dev
    because the latter is much more common naming scheme.
  * Added conflict with older tk8.5 to the tk8.5-doc package (a link to
    Tk demos was moved from one package to the other).
  * Fixed the maintainer 'name'.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 11:50:48 +0400

tk8.5 (8.5.14-3) experimental; urgency=low

  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tk8.5-lib
    library package with libtk8.5.so and tkConfig.sh moved into a
    multi-archified location (closes: #703421).
  * Recreated /usr/lib/tk8.5/tkConfig.sh for backward compatibility (intend
    to remove in the future).
  * Removed .0 suffix from the libtk8.5.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tk8.5-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/wish. This
    package ships only /usr/bin/wish8.5. The tcltk-defaults package provides
    the necessary symlink. This also means that tk8.5 does no longer provide
    the wish virtual package.
  * Moved the old changelog to the tk8.5-doc package to reduce size of the
    tk8.5 one.
  * Moved the Tk demos to the tk8.5-doc package.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 22:20:13 +0400

tk8.5 (8.5.14-2) unstable; urgency=low

  * Fixed loading Tk library, broken in experimental.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 26 Jun 2013 12:06:23 +0400

tk8.5 (8.5.14-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Apr 2013 14:03:59 +0400

tk8.5 (8.5.13-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 24 Nov 2012 12:08:12 +0400

tk8.5 (8.5.12-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 28 Jul 2012 10:54:19 +0400

tk8.5 (8.5.11-2) unstable; urgency=low

  * Install FontId(3tk) and MeasureChar(3tk) manpages because they are
    referenced in the other manpages.
  * Fixed references to tclvars manpage.
  * Removed Chris Waters wrom the uploaders list (closes: #664117).
  * Added ${misc:Depends} substitution variable to debian/control because the
    package uses debhelper.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags (closes: #658018).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 May 2012 20:00:35 +0400

tk8.5 (8.5.11-1) unstable; urgency=low

  * New upstream release.
  * Added build-arch and build-indep targets to debian/rules (closes: #648883).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 Dec 2011 10:50:37 +0400

tk8.5 (8.5.10-1) unstable; urgency=low

  * New upstream release (closes: #580731).
  * Changed wish8.5 alternative priority to 850 to make it higher than wish8.4
    priority (closes: #585942).
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Jun 2011 12:14:18 +0400

tk8.5 (8.5.9-2) unstable; urgency=low

  * Moved /usr/share/tcltk/tk8.5/tkConfig.sh back to the /usr/lib/tk8.5
    directory because it is architecture dependent.
  * Fixed Xft detection in configure script, which is broken since xft-config
    was removed from the libxft-dev package.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 20:02:25 +0300

tk8.5 (8.5.9-1) experimental; urgency=low

  * New upstream release.
  * Removed unused patches from debian/patches.
  * Fixed license in debian/copyright.
  * Added ${misc:Depends} to debian/control file because the binary packages
    are built using debhelper.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Nov 2010 13:56:40 +0300

tk8.5 (8.5.8-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2009 22:52:55 +0300

tk8.5 (8.5.7-2) unstable; urgency=low

  * Added libxft-dev to tk8.5-dev dependencies because -lXft is stored in
    tkConfig.sh configuration script.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Oct 2009 11:10:23 +0300

tk8.5 (8.5.7-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.1.
  * Removed patch which copied newly created image format name because the
    bug is fixed upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Apr 2009 19:09:21 +0400

tk8.5 (8.5.6-3) unstable; urgency=low

  * Don't remove wish alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable
    (closes: #517182).
  * Added a patch which copies image format name internally and doesn't
    require it to live till the end of thread life (closes: #517159).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:38:14 +0300

tk8.5 (8.5.6-2) unstable; urgency=low

  * Upload to unstable.
  * Fixed showing widget options in manual pages (closes: #516311).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Feb 2009 16:34:01 +0300

tk8.5 (8.5.6-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed mirrored text in canvas postscript because
    the bug is fixed upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Dec 2008 14:24:03 +0300

tk8.5 (8.5.5-1) experimental; urgency=low

  * New upstream release.
  * Fixed bug with mirrored text in canvas postscript output
    (closes: #498408).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Oct 2008 12:41:07 +0400

tk8.5 (8.5.4-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Aug 2008 16:40:42 +0400

tk8.5 (8.5.3-4) unstable; urgency=low

  * Fixed bug with mirrored text in canvas postscript output
    (closes: #498408).
  * Install ttk private headers which are necessary to develop ttk extensions
    or themes (closes: #500934, #504981).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Nov 2008 19:31:30 +0300

tk8.5 (8.5.3-3) unstable; urgency=low

  * Added missing libxss-dev and libxext-dev dependencies to tk8.5-dev
    package (closes: #491629).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Jul 2008 11:24:51 +0400

tk8.5 (8.5.3-2) unstable; urgency=low

  * Added a patch by upstream to mitigate a design bug in Tk event system
    (Tk events break if built with x11proto-core 7.0.13).
  * Decreased priority of tclsh (and corresponding manpage) alternative
    because tcl8.4 is still a default Tcl package.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Jul 2008 20:47:11 +0400

tk8.5 (8.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 02 Jul 2008 21:10:05 +0400

tk8.5 (8.5.2-2) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Protected quilt calls in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #484927).
  * Added a patch by Stanislav Maslovski which restores relative inlude path
    for tkUnixPort.h in tkPort.h. This is harmless if unix directory is
    included into a serach path but allows to maintain backward compatibility
    (closes: #488501).
  * Removed obsolete package x-dev from build dependencies. This means tk8.5
    will not built on sarge anymore.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 30 Jun 2008 14:08:57 +0400

tk8.5 (8.5.2-1) unstable; urgency=low

  * New upstream release.
  * Removed a font patch because its lighter version was included into
    upstream distribution.
  * Quoted CFLAGS in debian/rules when passing to the shell, not when
    assigning to a make variable; otherwise the quotes end up as part of
    the variable and many things go wrong, leading to a build failure.
  * Explicitly specified configure options --host and --build to make build
    results more predictable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Apr 2008 15:51:47 +0400

tk8.5 (8.5.1-2) unstable; urgency=low

  * Added an experimental patch which makes choosing a font for a given
    character more reliable even in case of incorrect fontconfig setup
    (closes: #465462).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 Feb 2008 21:56:37 +0300

tk8.5 (8.5.1-1) unstable; urgency=low

  * New upstream release.
  * Increased priority of /usr/bin/wish8.5 as an alternative to
    /usr/bin/wish.
  * Overridden lintian warning package-name-doesnt-match-sonames since tk8.5
    package contains not only a library, and it's unreasonable to split it
    into smaller parts.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 Feb 2008 20:38:38 +0300

tk8.5 (8.5.0-3) unstable; urgency=high

  * Applied patch by upstream to fix security vulnerability CVE-2006-4484
    overflow triggered by crafted GIF file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Feb 2008 23:28:55 +0300

tk8.5 (8.5.0-2) unstable; urgency=low

  * Fixed tcl8.5 version in build-dependencies (closes: #458935).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jan 2008 23:01:49 +0300

tk8.5 (8.5.0-1) unstable; urgency=low

  * New upstream release.
  * Removed empty directory /usr/share/tk8.5 from the binary package.
  * Added uscan control file debian/watch.
  * Changed tk8.5 version in shlibs to 8.5.0.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Dec 2007 11:19:51 +0300

tk8.5 (0.b3-1) unstable; urgency=low

  * New upstream beta release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Nov 2007 19:03:48 +0300

tk8.5 (0.b2-1) unstable; urgency=low

  * New upstream beta release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 26 Oct 2007 22:08:59 +0400

tk8.5 (0.b1-2) unstable; urgency=low

  * Added -fno-unit-at-a-time option to match tcl8.5 build options.
  * Moved architecture independent files from /usr/lib/tk8.5 to
    /usr/share/tcltk/tk8.5. To keep backward compatibility tkConfig.sh is
    linked into /usr/lib/tk8.5 directory.
  * Fixed bug with update-alternatives in prerm script.
  * Removed conflicts with tcl and providing tcl-dev packages from
    debian/control to prepare binary packages for default tcl and tcl-dev.
  * Added Homepage field to debian/control.
  * Rearranged conflicts of tk8.5-doc package because of planned adoption of
    real tk-doc package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Oct 2007 16:08:15 +0400

tk8.5 (0.b1-1) unstable; urgency=low

  * New upstream beta release.
  * Upload to debian archive (closes: #443969).
  * Cleaned up patches in debian/patches directory.
  * Added /usr/lib/tcl8.5 to a search path for tclConfig.sh and /usr/lib/tk8.5
    to a search path for tkConfig.sh in tcl.m4.
  * Removed TK_INC_DIR from tkConfig.sh and tcl.m4.
  * Bumped debhelper compatibility to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Sep 2007 19:08:11 +0400

tk8.5 (0.a6-1) unstable; urgency=low

  * New upstream alpha release.
  * Added Sergei Golovan to uploaders list.
  * Added missed build dependency on quilt.
  * Added headers from compat directory to tk8.5-dev package.
  * Added list of copyright holders to debian/copyright.
  * Removed --enable-64bit configure option from debian/rules.
  * Removed tk-dev from packages which conflict with tk8.5-dev.
  * Replaced deprecated ${Source-Version} substitution variable by
    ${binary:Version}.
  * Moved menu item from obsolete Apps to Applications section.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Sep 2007 12:20:00 +0400

tk8.5 (0.a5-1) unstable; urgency=low

  * Initial alpha release.

 -- Chris Waters <xtifr@debian.org>  Fri, 26 Jan 2007 23:01:39 +0300

